servers.deactivate
POST
/servers/{serverId}/deactivate
const url = 'https://example.com/api/servers/example/deactivate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"reason":"example","idempotencyKey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/servers/example/deactivate \ --header 'Content-Type: application/json' \ --data '{ "reason": "example", "idempotencyKey": "example" }'Marks one deployment target inactive so it cannot receive new work. Public docs: /docs/servers/register-connect/#server-deployment-target
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” serverId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
reason
string
idempotencyKey
string
Example generated
{ "reason": "example", "idempotencyKey": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
id
required
string
Example generated
{ "id": "example"}